Summary: Framework for working with bibliographic databases
Name: pybliographer
Version: 1.2.17
Release: 1%{?dist}
License: GPLv2+ and CC-BY-SA
Group: Applications/Publishing
Source: http://downloads.sourceforge.net/pybliographer/pybliographer-1.2.17.tar.gz
URL: http://www.pybliographer.org/
BuildArch: noarch

BuildRequires: pygtk2-libglade
BuildRequires: gnome-python2-gnome
BuildRequires: gnome-python2-gconf
BuildRequires: python-bibtex
BuildRequires: gettext
BuildRequires: desktop-file-utils
BuildRequires: gnome-doc-utils

Requires: pygtk2-libglade
Requires: gnome-python2-gnome
Requires: gnome-python2-gconf
Requires: gnome-python2-gnomevfs
Requires: gnome-python2-bonobo
Requires: python-bibtex
Requires: xorg-x11-fonts-75dpi

Requires(post): desktop-file-utils
Requires(postun): desktop-file-utils


%description
Pybliographer is a tool for managing bibliographic databases. It can be
used for searching, editing, reformatting, etc. In fact, it's a simple
framework that provides easy to use python classes and functions, and
therefore can be extended to many uses (generating HTML pages according
to bibliographic searches, etc).
In addition to the scripting environment, a graphical Gnome interface
is available. It provides powerful editing capabilities, a nice
hierarchical search mechanism, direct insertion of references into LyX,
direct queries on Medline, and more. It currently supports the following
file formats: BibTeX, ISI, Medline, Ovid, Refer.


%prep
%setup -q

%build
%configure
make %{?_smp_mflags}

%install
make DESTDIR=$RPM_BUILD_ROOT install

rm -f $RPM_BUILD_ROOT%{_datadir}/applications/mimeinfo.cache

desktop-file-install \
%if 0%{?fedora} && 0%{?fedora} < 19
  --vendor fedora \
%endif
  --delete-original      \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications             \
  --add-category X-Fedora                                   \
  $RPM_BUILD_ROOT%{_datadir}/applications/*


%{find_lang} %{name}


%post
/usr/bin/update-desktop-database &> /dev/null || :

%postun
/usr/bin/update-desktop-database &> /dev/null || :


%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog* NEWS README TODO
%{_bindir}/*
%{_datadir}/appdata/pybliographic.appdata.xml
%if 0%{?fedora} && 0%{?fedora} < 19
%{_datadir}/applications/fedora-pybliographic.desktop
%else
%{_datadir}/applications/pybliographic.desktop
%endif
%{_datadir}/gnome/help/pybliographer
%{_datadir}/mime-info/*
%{_datadir}/pixmaps/*
%dir %{_datadir}/pybliographer
%{_datadir}/pybliographer/Pyblio
%{_datadir}/pybliographer/Styles
%{_datadir}/pybliographer/pybliocheck.py*
%{_datadir}/pybliographer/pybliocompact.py*
%{_datadir}/pybliographer/pyblioconvert.py*
%{_datadir}/pybliographer/pyblioformat.py*
%{_datadir}/pybliographer/pybliographic.py*
%{_datadir}/pybliographer/pybliotex.py*
%{_datadir}/pybliographer/pybliotext.py*
%config %{_datadir}/pybliographer/pybrc.py*


%changelog
* Tue Dec 02 2014 Zoltan Kota <zoltank at gmail.com> - 1.2.17-1
- update to 1.2.17

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.16-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Wed Sep 04 2013 Zoltan Kota <zoltank at gmail.com> - 1.2.16-1
- update to 1.2.16
- spec file cleanup

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.15-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Wed Mar  6 2013 Toshio Kuratomi <toshio@fedoraproject.org> - 1.2.15-6
- Remove vendor prefix from desktop files in F19+ https://fedorahosted.org/fesco/ticket/1077

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.15-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.15-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.15-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Fri Oct 14 2011 Zoltan Kota <zoltank at gmail.com> - 1.2.15-2
- fix gnome-python2 dependencies
- remove staff related to scrollkeeper, we don't need it anymore

* Fri Oct 07 2011 Zoltan Kota <zoltank at gmail.com> - 1.2.15-1
- update to 1.2.15

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.14-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Thu Oct 14 2010 Zoltan Kota <z.kota at gmx.net> - 1.2.14-1
- update to 1.2.14

* Wed Aug 11 2010 David Malcolm <dmalcolm@redhat.com> - 1.2.13-2
- recompiling .py files against Python 2.7 (rhbz#623349)

* Mon Jul 19 2010 Zoltan Kota <z.kota at gmx.net> - 1.2.13-1
- update to 1.2.13

* Thu Mar 25 2010 Zoltan Kota <z.kota at gmx.net> - 1.2.12-5
- Require xorg-x11-fonts-75dpi. Fix bug #575380.

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.12-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.12-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Mon Dec 01 2008 Ignacio Vazquez-Abrams <ivazqueznet+rpm@gmail.com> - 1.2.12-2
- Rebuild for Python 2.6

* Mon Dec 01 2008 Zoltan Kota <z.kota at gmx.net> - 1.2.12-1
- update to 1.2.12
- drop patch, fixed upstream

* Mon Oct 06 2008 Zoltan Kota <z.kota at gmx.net> - 1.2.11-4
- we need gnome-python2-gnome for building as well,
  added to buildreqs

* Sun Oct 05 2008 Zoltan Kota <z.kota at gmx.net> - 1.2.11-3
- fix gnome-python2 requirements (bug #465563)

* Fri Jan 25 2008 Zoltan Kota <z.kota at gmx.net> - 1.2.11-2
- add patch for fixing bug #428121

* Wed Sep 26 2007 Zoltan Kota <z.kota at gmx.net> - 1.2.11-1
- update to 1.2.11

* Mon Jan 22 2007 Zoltan Kota <z.kota at gmx.net> - 1.2.10-1
- update to 1.2.10

* Fri Sep 15 2006 Zoltan Kota <z.kota at gmx.net> - 1.2.9-2
- rebuild for FC6
- remove ghost for pyo files

* Thu Jul 13 2006 Zoltan Kota <z.kota at gmx.net> - 1.2.9-1
- update to 1.2.9

* Mon Feb 13 2006 Zoltan Kota <z.kota at gmx.net> - 1.2.8-2
- rebuild

* Mon Jan 23 2006 Zoltan Kota <z.kota at gmx.net> - 1.2.8-1
- update to 1.2.8
- drop patches, fixed upstream

* Tue Dec 20 2005 Zoltan Kota <z.kota at gmx.net> - 1.2.7-2
- add patches for fixing different bugs

* Fri Oct 15 2005 Zoltan Kota <z.kota at gmx.net> - 1.2.7-1
- update to 1.2.7
- drop gnome-help.patch, fixed upstream
- fix requirements
- add dist tag
- add patch for fixing configure problem

* Thu Jun 30 2005 Zoltan Kota <z.kota at gmx.net> - 1.2.6.2-4
- rebuild

* Wed Mar 30 2005 Zoltan Kota <z.kota at gmx.net> - 1.2.6.2-3
- rebuild

* Fri Mar 25 2005 Zoltan Kota <z.kota at gmx.net> - 1.2.6.2-2
- add patch for gnome help display
- update gnome-python2 requirements

* Tue Feb 22 2005 Zoltan Kota <z.kota at gmx.net> - 0:1.2.6.2-1
- update to 1.2.6.2

* Mon Nov 29 2004 Zoltan Kota <z.kota at gmx.net> - 0:1.2.5-1
- removed redundant dependencies
- fixed directories in file list
- fixed scrollkeeper and desktop-file-utils requirements

* Fri Nov 26 2004 Zoltan Kota <z.kota at gmx.net> - 0:1.2.5-0.fdr.1
- update to 1.2.5
- check for update-desktop-database (new mime system),
  so requires desktop-file-utils
- removed intltool from buildreq, this stuff is used now
  in the make-dist phase
- (re)compile pyc and pyo files. pyo and redundant pyc
  files are ghosted

* Mon Jul 19 2004 Zoltan Kota <z.kota at gmx.net> - 0:1.2.4-0.fdr.1
- update to 1.2.4
- using macros for rm and localstatedir

* Tue Mar 23 2004 Zoltan Kota <z.kota at gmx.net> - 0:1.2.3-0.fdr.1
- initial rpm release
